Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Static Protected Attributes | List of all members
eZMySQLCharset Class Reference

## Static Public Member Functions
static | mapTo ( $charset)
static | mapFrom ( $charset)

## Static Protected Attributes
static | $mapping
static | $reverseMapping

## Detailed Description

Definition at line 12 of file ezmysqlcharset.php.

## Member Function Documentation

## ◆ mapFrom()

static eZMySQLCharset::mapFrom | ( |  | $charset | ) |
| static

Maps a MySQL charset to an internal one. If the charset is unknown, it will be returned as is.

Parameters

  string | $charset | Charset to map.

Returns
  string The converted charset.

Since
  4.4

Definition at line 80 of file ezmysqlcharset.php.

Referenced by eZMySQLiDB\checkCharsetPriv().

## ◆ mapTo()

static eZMySQLCharset::mapTo | ( |  | $charset | ) |
| static

Maps an internal charset to one understood by MySQL. If the charset is unknown, it will be returned as is.

Parameters

  string | $charset | Charset to map.

Returns
  string The converted charset.

Since
  4.4

Definition at line 64 of file ezmysqlcharset.php.

Referenced by eZMySQLiDB\connect().

## Member Data Documentation

## ◆ $mapping

eZMySQLCharset::$mapping
| static protected

Initial value:
= array(
'iso-8859-1' => 'latin1',
'iso-8859-2' => 'latin2',
'iso-8859-8' => 'hebrew',
'iso-8859-7' => 'greek',
'iso-8859-9' => 'latin5',
'iso-8859-13' => 'latin7',
'windows-1250' => 'cp1250',
'windows-1251' => 'cp1251',
'windows-1256' => 'cp1256',
'windows-1257' => 'cp1257',
'utf-8' => 'utf8',
'koi8-r' => 'koi8r',
'koi8-u' => 'koi8u'
)

Definition at line 18 of file ezmysqlcharset.php.

## ◆ $reverseMapping

eZMySQLCharset::$reverseMapping
| static protected

Initial value:
= array(
'latin1' => 'iso-8859-1',
'latin2' => 'iso-8859-2',
'hebrew' => 'iso-8859-8',
'greek' => 'iso-8859-7',
'latin5' => 'iso-8859-9',
'latin7' => 'iso-8859-13',
'cp1250' => 'windows-1250',
'cp1251' => 'windows-1251',
'cp1256' => 'windows-1256',
'cp1257' => 'windows-1257',
'utf8' => 'utf-8',
'koi8r' => 'koi8-r',
'koi8u' => 'koi8-u'
)

Definition at line 38 of file ezmysqlcharset.php.

The documentation for this class was generated from the following file:

- ezmysqlcharset.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.